be.ehealth.businessconnector.therlink.domain

## Class TherapeuticLink

- java.lang.Object
- - be.ehealth.businessconnector.therlink.domain.TherapeuticLink

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    TherapeuticLinkComplete, TherapeuticLinkResponse

      public class TherapeuticLink
      extends Object
      implements Serializable

  TherapeuticLink.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TherapeuticLink.Builder` TherapeuticLink static builder

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TherapeuticLink()`
    `TherapeuticLink(Patient patient, HcParty hcParty, String type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getComment()`
    `org.joda.time.LocalDate` | `getEndDate()`
    `HcParty` | `getHcParty()`
    `Patient` | `getPatient()`
    `org.joda.time.LocalDate` | `getStartDate()`
    `TherapeuticLinkStatus` | `getStatus()`
    `String` | `getType()`
    `int` | `hashCode()`
    `void` | `setComment(String comment)`
    `void` | `setEndDate(org.joda.time.LocalDate endDate)`
    `void` | `setHcParty(HcParty hcParty)`
    `void` | `setPatient(Patient patient)`
    `void` | `setStartDate(org.joda.time.LocalDate startDate)`
    `void` | `setStatus(TherapeuticLinkStatus status)`
    `void` | `setType(String type)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TherapeuticLink

          public TherapeuticLink(Patient patient,
                                 HcParty hcParty,
                                 String type)

      Parameters:
        `patient` -
        `hcParty` -
        `type` -

    - #### TherapeuticLink

          public TherapeuticLink()

  - ### Method Detail

    - #### getPatient

          public Patient getPatient()

      Returns:
        the patient

    - #### setPatient

          public void setPatient(Patient patient)

      Parameters:
        `patient` - the patient to set

    - #### getHcParty

          public HcParty getHcParty()

      Returns:
        the hcParty

    - #### setHcParty

          public void setHcParty(HcParty hcParty)

      Parameters:
        `hcParty` - the hcParty to set

    - #### getType

          public String getType()

      Returns:
        the type

    - #### setType

          public void setType(String type)

      Parameters:
        `type` - the type to set

    - #### getStartDate

          public org.joda.time.LocalDate getStartDate()

      Returns:
        the startDate

    - #### setStartDate

          public void setStartDate(org.joda.time.LocalDate startDate)

      Parameters:
        `startDate` - the startDate to set

    - #### getEndDate

          public org.joda.time.LocalDate getEndDate()

      Returns:
        the endDate

    - #### setEndDate

          public void setEndDate(org.joda.time.LocalDate endDate)

      Parameters:
        `endDate` - the endDate to set

    - #### getComment

          public String getComment()

      Returns:
        the comment

    - #### setComment

          public void setComment(String comment)

      Parameters:
        `comment` - the comment to set

    - #### getStatus

          public TherapeuticLinkStatus getStatus()

      Returns:
        the status

    - #### setStatus

          public void setStatus(TherapeuticLinkStatus status)

      Parameters:
        `status` - the status to set

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.